# Swap64 in ppv_lite86 - Rust
Exchange neigboring ranges of bits of the specified size
Keywords: rust, rustlang, rust-lang, Swap64

# Trait ppv_lite86::Swap64

source · [−]

    pub trait Swap64 {
        fn swap1(self) -> Self;
        fn swap2(self) -> Self;
        fn swap4(self) -> Self;
        fn swap8(self) -> Self;
        fn swap16(self) -> Self;
        fn swap32(self) -> Self;
        fn swap64(self) -> Self;
    }

Expand description

Exchange neigboring ranges of bits of the specified size

## Required Methods

source

#### fn swap1(self) -> Self

source

#### fn swap2(self) -> Self

source

#### fn swap4(self) -> Self

source

#### fn swap8(self) -> Self

source

#### fn swap16(self) -> Self

source

#### fn swap32(self) -> Self

source

#### fn swap64(self) -> Self

## Implementors